\documentclass{zettel2}

\geometry{top=1cm, bottom=1cm, left=1cm, right=1cm}

% Header and Footer
\pagestyle{empty}

\usepackage{xltabular}

\DTLloaddb{teilnehmende}{teilnehmende.csv}

\begin{document}
    \rowcolors{1}{gray!20}{white}
    \begin{xltabular}{\textwidth}{|l|l|l|X|}
        \hline
        \rowcolor{gray!40}
        \textbf{Vorname} & \textbf{Nachname} & \textbf{Zirkel} & \\
        \hline
        \endhead
        \noalign\bgroup
        \DTLforeach{teilnehmende}{%
            \vorname=Vorname,%
            \nachname=Nachname,%
            \zirkel=Zirkel%
        }{%
            \egroup \vorname & \nachname & \zirkel &  \\
            \hline
            \noalign\bgroup
        }
        \egroup
    \end{xltabular}
\end{document}
